/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.getCore().loadLibrary("sap.ui.unified");sap.ui.define(['sap/ui/core/Element','sap/ui/core/Control','./library','./Toolbar','./AssociativeOverflowToolbar','./Button','./AccButton','./Title','./ToolbarSpacer','./SegmentedButton','sap/ui/unified/Calendar','sap/ui/unified/calendar/CalendarDate','sap/ui/unified/calendar/CustomMonthPicker','sap/ui/unified/calendar/CustomYearPicker','sap/ui/core/format/DateFormat','sap/ui/core/Popup','sap/ui/core/IconPool','sap/ui/core/InvisibleText',"./PlanningCalendarHeaderRenderer"],function(E,C,l,T,A,B,a,b,c,S,d,e,f,g,D,P,I,h,j){"use strict";var k=l.ToolbarDesign;var m=C.extend("sap.m.PlanningCalendarHeader",{metadata:{library:"sap.m",properties:{title:{type:"string",group:"Appearance",defaultValue:""},startDate:{type:"object",group:"Data"},pickerText:{type:"string",group:"Data"}},aggregations:{actions:{type:"sap.ui.core.Control",multiple:true,singularName:"action"},_actionsToolbar:{type:"sap.m.OverflowToolbar",multiple:false,visibility:"hidden"},_navigationToolbar:{type:"sap.m.Toolbar",multiple:false,visibility:"hidden"},_calendarPicker:{type:"sap.ui.unified.Calendar",multiple:false,visibility:"hidden"},_monthPicker:{type:"sap.ui.unified.internal.CustomMonthPicker",multiple:false,visibility:"hidden"},_yearPicker:{type:"sap.ui.unified.internal.CustomYearPicker",multiple:false,visibility:"hidden"}},events:{pressPrevious:{},pressToday:{},pressNext:{},dateSelect:{},cancel:{},viewChange:{}},associations:{currentPicker:{type:"sap.ui.core.Control",multiple:false}}}});var R=3;m.prototype.init=function(){var o=this.getId(),n=o+"-NavToolbar",r=sap.ui.getCore().getLibraryResourceBundle("sap.m"),p,i,M,y;this.setAggregation("_actionsToolbar",new A(o+"-ActionsToolbar",{design:k.Transparent}).addStyleClass("sapMPCHeadActionsToolbar").addContent(this._getOrCreateTitleControl()).addContent(this._getOrCreateToolbarSpacer()).addContent(this._getOrCreateViewSwitch()));this._oPrevBtn=new B(n+"-PrevBtn",{icon:I.getIconURI('slim-arrow-left'),tooltip:r.getText("PCH_NAVIGATE_BACKWARDS"),press:function(){this.firePressPrevious();}.bind(this)});this._oTodayBtn=new B(n+"-TodayBtn",{text:r.getText("PLANNINGCALENDAR_TODAY"),ariaLabelledBy:h.getStaticId("sap.m","PCH_NAVIGATE_TO_TODAY"),press:function(){this.firePressToday();}.bind(this)});this._oNextBtn=new B(n+"-NextBtn",{icon:I.getIconURI('slim-arrow-right'),tooltip:r.getText("PCH_NAVIGATE_FORWARD"),press:function(){this.firePressNext();}.bind(this)});i=new d(o+"-Cal",{ariaLabelledBy:h.getStaticId("sap.m","PCH_RANGE_PICKER")});i.attachEvent("select",this._handlePickerDateSelect,this);i.attachEvent("cancel",this._handlePickerCancelEvent,this);i.setPopupMode(true);this.setAggregation("_calendarPicker",i);this.setAssociation("currentPicker",i);M=new f(o+"-MonthCal",{ariaLabelledBy:h.getStaticId("sap.m","PCH_RANGE_PICKER")});M.attachEvent("select",this._handlePickerDateSelect,this);M.attachEvent("cancel",this._handlePickerCancelEvent,this);M.setPopupMode(true);this.setAggregation("_monthPicker",M);y=new g(o+"-YearCal",{ariaLabelledBy:h.getStaticId("sap.m","PCH_RANGE_PICKER")});y.attachEvent("select",this._handlePickerDateSelect,this);y.attachEvent("cancel",this._handlePickerCancelEvent,this);y.setPopupMode(true);this.setAggregation("_yearPicker",y);this._oPickerBtn=new a(n+"-PickerBtn",{text:this.getPickerText(),ariaHaspopup:"dialog",ariaLabelledBy:h.getStaticId("sap.m","PCH_SELECT_RANGE"),press:function(){if(this.fireEvent("_pickerButtonPress",{},true)){var q=this.getStartDate()||new Date(),s=this.getAssociation("currentPicker");p=E.registry.get(s);p.displayDate(q);this._openCalendarPickerPopup(p);}}.bind(this)});this.setAggregation("_navigationToolbar",new T(n,{design:k.Transparent,content:[this._oPrevBtn,this._oTodayBtn,this._oNextBtn,this._oPickerBtn]}).addStyleClass("sapMPCHeadNavToolbar"));};m.prototype.exit=function(){this._getActionsToolbar().removeAllContent();if(this._oTitle){this._oTitle.destroy();this._oTitle=null;}if(this._oToolbarSpacer){this._oToolbarSpacer.destroy();this._oToolbarSpacer=null;}if(this._oViewSwitch){this._oViewSwitch.destroy();this._oViewSwitch=null;}if(this._oPopup){this._oPopup.destroy();this._oPopup=null;}if(this._oPrevBtn){this._oPrevBtn.destroy();this._oPrevBtn=null;}if(this._oNextBtn){this._oNextBtn.destroy();this._oNextBtn=null;}};m.prototype.onBeforeRendering=function(){var v=!!this.getActions().length||!!this.getTitle()||this._getOrCreateViewSwitch().getItems().length>1;this._getActionsToolbar().setProperty("visible",v,true);};m.prototype.setTitle=function(t){this._getOrCreateTitleControl().setText(t).setVisible(!!t);return this.setProperty("title",t);};m.prototype.addAction=function(o){if(!o){return this;}this._getActionsToolbar().addContent(o);return this.addAggregation("actions",o);};m.prototype.insertAction=function(o,i){if(!o){return this;}this._getActionsToolbar().insertContent(o,i+R);return this.insertAggregation("actions",o,i);};m.prototype.removeAction=function(o){if(!o){return this;}this._getActionsToolbar().removeContent(o);return this.removeAggregation("actions",o);};m.prototype.removeAllActions=function(){var o=this._getActionsToolbar(),n=o.getContent();for(var i=R;i<n.length;i++){o.removeContent(n[i]);}return this.removeAllAggregation("actions");};m.prototype.destroyActions=function(){var o=this._getActionsToolbar(),n=o.getContent(),r;for(var i=R;i<n.length;i++){r=o.removeContent(n[i]);r.destroy();}return this;};m.prototype.setPickerText=function(t){this.setProperty("pickerText",t);this._oPickerBtn.setText(t);return this;};m.prototype._getOrCreateTitleControl=function(){if(!this._oTitle){this._oTitle=new b(this.getId()+"-Title",{visible:false});}return this._oTitle;};m.prototype._getOrCreateToolbarSpacer=function(){if(!this._oToolbarSpacer){this._oToolbarSpacer=new c(this.getId()+"-Spacer");}return this._oToolbarSpacer;};m.prototype._getOrCreateViewSwitch=function(){if(!this._oViewSwitch){this._oViewSwitch=new S(this.getId()+"-ViewSwitch");this._oViewSwitch.attachEvent("selectionChange",this._handleViewSwitchChange,this);this.addDependent(this._oViewSwitch);}return this._oViewSwitch;};m.prototype._convertViewSwitchToSelect=function(){this._oViewSwitch._bForcedSelectMode=true;this._oViewSwitch._toSelectMode();};m.prototype._convertViewSwitchToSegmentedButton=function(){this._oViewSwitch._bForcedSelectMode=false;this._oViewSwitch._toNormalMode();};m.prototype._getTodayButton=function(){return this._oTodayBtn;};m.prototype._handlePickerDateSelect=function(){var s=this.getAssociation("currentPicker"),p=E.registry.get(s),o=p.getSelectedDates()[0].getStartDate();this.setStartDate(o);this._closeCalendarPickerPopup();this.fireDateSelect();};m.prototype._handleViewSwitchChange=function(o){this.fireViewChange(o.getParameters());};m.prototype._openCalendarPickerPopup=function(p){var i;if(!this._oPopup){this._oPopup=this._createPopup();}this._oPopup.setContent(p);i=P.Dock;this._oPopup.open(0,i.CenterTop,i.CenterTop,this._oPickerBtn,null,"flipfit",true);};m.prototype._createPopup=function(){var p=new P();p.setAutoClose(true);p.setDurations(0,0);p.onsapescape=function(o){this.onsapescape(o);}.bind(this);p.attachEvent("opened",this._handlePopupOpenedEvent,this);p.attachEvent("closed",this._handlePopupClosedEvent,this);return p;};m.prototype.onsapescape=function(){if(this._oPopup){this._closeCalendarPickerPopup();if(this._oPickerBtn.getDomRef()){this._oPickerBtn.getDomRef().focus();}}};m.prototype._closeCalendarPickerPopup=function(){if(this._oPopup&&this._oPopup.isOpen()){this._oPopup.close();}};m.prototype._handlePickerCancelEvent=function(){var p=this._oPickerBtn.getDomRef();this.fireCancel();this._closeCalendarPickerPopup();p&&p.focus();};m.prototype._handlePopupOpenedEvent=function(){E.registry.get(this.getAssociation("currentPicker")).focus();};m.prototype._handlePopupClosedEvent=function(){this.getAggregation("_calendarPicker")._closedPickers();};m.prototype._getActionsToolbar=function(){return this.getAggregation("_actionsToolbar");};m.prototype._getNavigationToolbar=function(){return this.getAggregation("_navigationToolbar");};return m;});
