/*
 * ! OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/thirdparty/jquery","sap/ui/base/ManagedObject","sap/ui/fl/descriptorRelated/internal/Utils","sap/ui/fl/write/_internal/connectors/LrepConnector","sap/base/util/merge","sap/base/Log"],function(q,M,U,L,m,a){"use strict";var A=M.extend("sap.ui.fl.write._internal.appVariant.AppVariant",{constructor:function(p){M.apply(this);if(!q.isPlainObject(p)){a.error("Constructor : sap.ui.fl.write._internal.appVariant.AppVariant: mPropertyBag is not defined");}this._oDefinition=p;return this;},metadata:{properties:{mode:{type:"string"}}}});A.modes={NEW:"NEW",EXISTING:"EXISTING",DELETION:"DELETION"};A.prototype._isValidMode=function(s){var b=false;Object.keys(A.modes).some(function(k){if(A.modes[k]===s){b=true;}});return b;};A.prototype.setMode=function(s){if(this._isValidMode(s)){this.setProperty("mode",s);}else{throw new Error("Provide a correct operation mode");}};A.prototype.setTransportRequest=function(t){try{U.checkTransportRequest(t);}catch(e){return Promise.reject(e);}this._oDefinition.transport=t;return Promise.resolve();};A.prototype.setReference=function(r){if(r===undefined||typeof r!=="string"){throw new Error("No parameter sReference of type string provided");}this._oDefinition.reference=r;};A.prototype.setPackage=function(p){try{U.checkPackage(p);}catch(e){return Promise.reject(e);}this._oDefinition.packageName=p;return Promise.resolve();};A.prototype.getDefinition=function(){return this._oDefinition;};A.prototype.getId=function(){return this._oDefinition.id;};A.prototype.getNamespace=function(){return this._oDefinition.namespace||U.getNameAndNameSpace(this._oDefinition.id,this._oDefinition.reference).namespace;};A.prototype.getFileName=function(){return this._oDefinition.fileName||U.getNameAndNameSpace(this._oDefinition.id,this._oDefinition.reference).fileName;};A.prototype.getReference=function(){return this._oDefinition.reference;};A.prototype.getPackage=function(){return this._oDefinition.packageName;};A.prototype.getVersion=function(){return this._oDefinition.version;};A.prototype.getTransportRequest=function(){return this._oDefinition.transport;};A.prototype.getJson=function(){return m({},this._getMap());};A.prototype._getMap=function(){var b={};switch(this.getMode()){case A.modes.NEW:b={fileName:this.getFileName(),fileType:"appdescr_variant",namespace:this.getNamespace(),layer:this._oDefinition.layer,packageName:this._oDefinition.packageName?this._oDefinition.packageName:"",reference:this._oDefinition.reference,id:this._oDefinition.id,content:this._oDefinition.content||[]};if(this._oDefinition.referenceVersion){b.referenceVersion=this._oDefinition.referenceVersion;}if(this._oDefinition.version){b.version=this._oDefinition.version;}break;case A.modes.EXISTING:b={fileName:this._oDefinition.fileName,fileType:this._oDefinition.fileType,namespace:this._oDefinition.namespace,layer:this._oDefinition.layer,packageName:this._oDefinition.packageName,reference:this._oDefinition.reference,id:this._oDefinition.id,content:this._oDefinition.content};if(this._oDefinition.referenceVersion){b.referenceVersion=this._oDefinition.referenceVersion;}if(this._oDefinition.version){b.version=this._oDefinition.version;}break;case A.modes.DELETION:b={id:this._oDefinition.id};break;default:}return b;};A.prototype.addDescriptorInlineChange=function(d){return new Promise(function(r){var s=function(_,i){if(_["setHostingIdForTextKey"]){_.setHostingIdForTextKey(i);}};s(d,this.getId());this._oDefinition.content.push(d.getMap());r(null);}.bind(this));};A.prototype.submit=function(){var b=this._getMap();var p={flexObject:{},appVariant:this};if(this._oDefinition.transport){p.transport=this._oDefinition.transport;}if(this._oDefinition.skipIam){p.skipIam=this._oDefinition.skipIam;}if(this._oDefinition.isForSmartBusiness){p.isForSmartBusiness=this._oDefinition.isForSmartBusiness;}if(b.layer){p.layer=b.layer;}p.url="/sap/bc/lrep";var B;switch(this.getMode()){case A.modes.NEW:Object.assign(p.flexObject,b);B=L.appVariant.create(p);break;case A.modes.EXISTING:p.reference=b.id;Object.assign(p.flexObject,b);B=L.appVariant.update(p);break;case A.modes.DELETION:p.reference=b.id;B=L.appVariant.remove(p);break;default:return Promise.reject("Please provide a valid operation.");}return B.then(function(r){return r;});};return A;},true);
