/*
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/fl/Utils","sap/ui/fl/LayerUtils","sap/ui/fl/Layer","sap/ui/fl/write/_internal/transport/Transports","sap/ui/fl/write/_internal/transport/TransportDialog","sap/ui/fl/registry/Settings","sap/ui/core/BusyIndicator"],function(F,L,a,T,b,c,B){"use strict";var d=function(){};d.prototype.selectTransport=function(o,O,e,C,f,s){if(!F.getLrepUrl()){O(this._createEventObject(o,{transportId:""}));return;}var r=function(o,O,e,C,s,A){T.getTransports(o).then(function(g){if(this._checkDialog(g,A)){this._openDialog({hidePackage:!L.doesCurrentLayerRequirePackage(),pkg:o.package,transports:g.transports,lrepObject:this._toLREPObject(o)},O,e,C,s);}else{var t=(!g.localonly&&A)?{transportId:"ATO_NOTIFICATION"}:this._getTransport(g);O(this._createEventObject(o,t));}}.bind(this),function(R){e(R);});};var l=L.getCurrentLayer(false);if(l&&((l===a.CUSTOMER)||(l===a.CUSTOMER_BASE))){c.getInstance().then(function(S){if(S.isAtoEnabled()){if(!(o&&o.name&&o.namespace&&o.type)){var t={transportId:"ATO_NOTIFICATION"};O(this._createEventObject(o,t));}else{r.apply(this,[o,O,e,C,s,true]);}}else{r.apply(this,[o,O,e,C,s,false]);}}.bind(this));}else{r.apply(this,[o,O,e,C,s,false]);}};d.prototype._createEventObject=function(o,t){return{mParameters:{selectedTransport:t.transportId,selectedPackage:o["package"],dialog:false},getParameters:function(){return this.mParameters;},getParameter:function(n){return this.mParameters[n];}};};d.prototype._toLREPObject=function(o){var O={};if(o.namespace){O.namespace=o.namespace;}if(o.name){O.name=o.name;}if(o.type){O.type=o.type;}return O;};d.prototype._openDialog=function(C,o,e,f,s){var D=new b(C);D.attachOk(o);D.attachCancel(e);D.addStyleClass(s);if(f){D.addStyleClass("sapUiSizeCompact");}else{D.removeStyleClass("sapUiSizeCompact");}D.open();B.hide();return D;};d.prototype._getTransport=function(t){var o;if(!t.localonly){o=this._hasLock(t.transports);}else{o={transportId:""};}return o;};d.prototype._checkDialog=function(t,A){if(t){if(t.localonly||this._hasLock(t.transports)||(!t.localonly&&A)){return false;}}return true;};d.prototype._hasLock=function(t){var l=t.length;while(l--){var o=t[l];if(o.locked){return o;}}return false;};d.prototype.setTransports=function(C,o){var i=C.length-1;var t=this;var s=function(C,i,o,e,f){if(i>=0){var g=C[i];if(f===true){if(g.getDefinition().packageName!=="$TMP"){g.setRequest(e);}i--;return s(C,i,o,e,f);}if(g.getDefinition().packageName!=="$TMP"){return t.openTransportSelection(g,o).then(function(h){if(h==="cancel"){return Promise.reject("cancel");}g.setRequest(h.transport);if(h.fromDialog===true){e=h.transport;f=true;}i--;return s(C,i,o,e,f);},function(){return null;});}i--;return s(C,i,o,e,f);}return Promise.resolve();};return s(C,i,o);};d.prototype.openTransportSelection=function(C,o,s){var t=this;return new Promise(function(r,e){var O=function(R){if(R&&R.getParameters){var g=R.getParameters().selectedTransport;var p=R.getParameters().selectedPackage;var h=R.getParameters().dialog;var i={transport:g,packageName:p,fromDialog:h};r(i);}else{r({});}};var E=function(g){if(g.sId==='cancel'){r(g.sId);}else{e(g);}};var f={};if(C){f["package"]=C.getPackage();f.namespace=C.getNamespace();f.name=C.getId();f.type=C.getDefinition().fileType;}t.selectTransport(f,O,E,false,o,s);});};d.prototype.checkTransportInfo=function(t){return t&&t.transport&&t.packageName!=="$TMP";};d.prototype._prepareChangesForTransport=function(t,A,e,C){var f=T.convertToChangeTransportData(A,e);var o={};o.package=t.packageName;o.transportId=t.transport;o.changeIds=f;o.reference=C.reference;o.appVersion=C.appVersion;o.layer=C.layer;return T.makeChangesTransportable(o).then(function(){A.forEach(function(g){if(g.getPackage()==='$TMP'){var D=g.getDefinition();D.packageName=t.packageName;g.setResponse(D);}});});};return d;},true);
