/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./AnalyticalContentRenderer","./BaseContent","sap/ui/integration/library","sap/ui/integration/util/BindingResolver","sap/base/Log","sap/ui/core/Core","sap/ui/thirdparty/jquery"],function(A,B,l,a,L,C,q){"use strict";var V,F,b;var c={"Top":"top","Bottom":"bottom","Left":"left","Right":"right"};var d={"TopLeft":"topLeft","Center":"center"};var T={"Left":"left","Center":"center","Right":"right"};var e={"Line":"line","StackedColumn":"stacked_column","StackedBar":"stacked_bar","Donut":"donut"};var f=l.AreaType;var g=B.extend("sap.ui.integration.cards.AnalyticalContent",{renderer:A});g.prototype.loadDependencies=function(o){return new Promise(function(r,h){C.loadLibrary("sap.viz",{async:true}).then(function(){sap.ui.require(["sap/viz/ui5/controls/VizFrame","sap/viz/ui5/controls/common/feeds/FeedItem","sap/viz/ui5/data/FlattenedDataset"],function(_,i,j){V=_;F=i;b=j;r();},function(E){h(E);});}).catch(function(){h("Analytical content type is not available with this distribution.");});});};g.prototype._getVizPropertiesObject=function(o){var t=o.title,h=o.legend,p=o.plotArea;if(!o){return this;}var v={"title":{"style":{"fontWeight":"normal"},"layout":{"respectPlotPosition":false}},"legend":{},"legendGroup":{"layout":{}},"plotArea":{"window":{"start":"firstDataPoint","end":"lastDataPoint"}},"categoryAxis":{"title":{}},"valueAxis":{"title":{}},"interaction":{"noninteractiveMode":true}};if(t){v.title.text=t.text;v.title.visible=t.visible;v.title.alignment=T[t.alignment];}if(h){v.legend.visible=h.visible;v.legendGroup.layout.position=c[h.position];v.legendGroup.layout.alignment=d[h.alignment];}if(p){if(p.dataLabel){v.plotArea.dataLabel=p.dataLabel;}if(p.categoryAxisText){v.categoryAxis.title.visible=p.categoryAxisText.visible;}if(p.valueAxisText){v.valueAxis.title.visible=p.valueAxisText.visible;}}return v;};g.prototype.onDataChanged=function(){this._createChart();};g.prototype._createChart=function(){var o=this.getConfiguration();if(!o.chartType){L.error("ChartType is a mandatory property");return;}var r=a.resolveValue(o,this.getModel(),"/");var D=[];if(o.dimensions){var h=[];for(var i=0;i<o.dimensions.length;i++){var j=o.dimensions[i];var n=r.dimensions[i].label;D.push(n);var k={name:n,value:j.value};h.push(k);}}var m=[];if(o.measures){var M=[];for(var i=0;i<o.measures.length;i++){var p=o.measures[i];var n=r.measures[i].label;m.push(n);var s={name:n,value:p.value};M.push(s);}}var t=new b({measures:M,dimensions:h,data:{path:this.getBindingContext().getPath()}});var u=new V({uiConfig:{applicationSet:'fiori'},height:"100%",width:"100%",vizType:e[o.chartType],dataset:t,legendVisible:o.legend,feeds:[new F({uid:o.measureAxis,type:'Measure',values:m}),new F({uid:o.dimensionAxis,type:'Dimension',values:D})]});var v=this._getVizPropertiesObject(r);u.setVizProperties(v);this._oActions.setAreaType(f.Content);this._oActions.attach(o,this);this.setAggregation("_content",u);};g.prototype.onBeforeRendering=function(){if(this._handleHostConfiguration){this._handleHostConfiguration();}};g.prototype._handleHostConfiguration=function(){var p=this.getParent(),o=this.getAggregation("_content");if(p&&p.getHostConfigurationId&&o){var h=C.byId(p.getHostConfigurationId());if(h){var s=h.generateJSONSettings("vizProperties"),v=o.getVizProperties();v=q.extend(true,v,s);o.setVizProperties(v);}}};return g;});
