/*
 * ! OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/m/OverflowToolbar","sap/m/OverflowToolbarRenderer","sap/m/ToolbarSpacer","sap/m/ToolbarSeparator"],function(O,a,T,b){"use strict";var A=O.extend("sap.ui.mdc.ActionToolbar",{metadata:{library:"sap.ui.mdc",defaultAggregation:"actions",properties:{useAsHeader:{type:"boolean",group:"Behavior",defaultValue:true}},aggregations:{begin:{type:"sap.ui.core.Control",multiple:true},between:{type:"sap.ui.core.Control",multiple:true},actions:{type:"sap.ui.core.Control",multiple:true},end:{type:"sap.ui.core.Control",multiple:true}}},renderer:a});var _=["begin","between","actions","end"];function c(t,s){var i=_.indexOf(s);if(i>=0&&t._oSpacer){return i;}return-1;}function d(t,o){t._editctx=true;var r=t.addContent(o);t._editctx=false;return r;}function e(t,o,i){t._editctx=true;var r=t.insertContent(o,i);t._editctx=false;return r;}function f(t,o){t._editctx=true;var r=t.removeContent(o);t._editctx=false;return r;}function g(t){t._editctx=true;var r=t.destroyContent();t._editctx=false;return r;}function h(t,s){if(s==="content"&&!t._editctx){throw new Error("Mutator functions of the content aggregation of the ActionToolbar '"+t.getId()+"' must not be used.");}}A.prototype.init=function(){this._oTitleSeparator=new b({visible:false});this._oSpacer=new T();this._oActionSeparator=new b({visible:false});if(O.prototype.init){O.prototype.init.apply(this,arguments);}d(this,this._oTitleSeparator);d(this,this._oSpacer);d(this,this._oActionSeparator);this.setUseAsHeader(true);};A.prototype.exit=function(){this._oSpacer=null;this._oTitleSeparator=null;this._oActionSeparator=null;g(this);if(O.prototype.exit){O.prototype.exit.apply(this,arguments);}};A.prototype._getState=function(s){var i=c(this,s);if(i>=0){return{aggIdx:i,sepIdcs:[this.indexOfContent(this._oTitleSeparator),this.indexOfContent(this._oSpacer),this.indexOfContent(this._oActionSeparator)]};}return null;};A.prototype.onAfterRendering=function(){O.prototype.onAfterRendering.apply(this,arguments);this._updateSeparator();};A.prototype._onContentPropertyChangedOverflowToolbar=function(E){if(this._bIsBeingDestroyed){return;}O.prototype._onContentPropertyChangedOverflowToolbar.apply(this,arguments);if(E.getParameter("name")==="visible"||E.getParameter("name")==="width"&&E.getSource()!=this._oTitleSeparator){this._updateSeparator();}};A.prototype._updateSeparator=function(){if(this._oTitleSeparator&&!this._editctx){var H=function(k){return k?k.some(function(C){var l=C.getWidth?C.getWidth()!=="0px":true;return C.getVisible()&&l;}):false;};var i=H(this.getBegin());var j=H(this.getBetween());this._oTitleSeparator.setVisible(i&&j);}};A.prototype.setUseAsHeader=function(H){this.setProperty("useAsHeader",H,true);this.toggleStyleClass("sapMTBHeader-CTX",!!H);return this;};A.prototype.indexOfAggregation=function(s,o){var i=this._getState(s);if(i){var I=this.indexOfContent(o);if(I<0){return-1;}var p=i.aggIdx==0?-1:i.sepIdcs[i.aggIdx-1];var n=i.aggIdx==3?this.getContent().length:i.sepIdcs[i.aggIdx];if(I<p||I>n){return-1;}return I-p-1;}return O.prototype.indexOfAggregation.apply(this,arguments);};A.prototype.getAggregation=function(s){var i=this._getState(s);if(i){var C=this.getContent();return C.slice(i.aggIdx===0?0:(i.sepIdcs[i.aggIdx-1]+1),i.aggIdx>=i.sepIdcs.length?C.length:i.sepIdcs[i.aggIdx]);}return O.prototype.getAggregation.apply(this,arguments);};A.prototype.addAggregation=function(s,o){var i=this._getState(s);if(i){if(!o){return this;}var I=this.indexOfContent(o);if(I>=0){f(this,o);this.addAggregation(s,o);}else{e(this,o,i.aggIdx>=i.sepIdcs.length?this.getContent().length:i.sepIdcs[i.aggIdx]);}this._updateSeparator();return this;}h(this,s);return O.prototype.addAggregation.apply(this,arguments);};A.prototype.insertAggregation=function(s,o,i){var I=this._getState(s);if(I){if(!o){return this;}var j=this.indexOfContent(o);if(j>=0){j=this.indexOfAggregation(s,o);if(j>=0&&i>j){i--;}f(this,o);this.insertAggregation(s,o,i);}else{var l=this.getAggregation(s).length;if(i<0){j=0;}else if(i>l){j=l;}else{j=i;}var p=I.aggIdx==0?-1:I.sepIdcs[I.aggIdx-1];e(this,o,j+p+1);}this._updateSeparator();return this;}h(this,s);return O.prototype.insertAggregation.apply(this,arguments);};A.prototype.removeAggregation=function(s,o){if(c(this,s)>=0){var r=f(this,o);this._updateSeparator();return r;}h(this,s);return O.prototype.removeAggregation.apply(this,arguments);};A.prototype.removeAllAggregation=function(s){if(c(this,s)>=0){var C=this.getAggregation(s);for(var i=0;i<C.length;i++){this.removeAggregation(s,C[i]);}this._updateSeparator();return C;}h(this,s);return O.prototype.removeAllAggregation.apply(this,arguments);};A.prototype.destroyAggregation=function(s){if(c(this,s)>=0){var C=this.removeAllAggregation(s);for(var i=0;i<C.length;i++){C[i].destroy();}this._updateSeparator();return this;}h(this,s);return O.prototype.destroyAggregation.apply(this,arguments);};A.prototype.propagateProperties=function(){var C=this.getContent();for(var i=0;i<C.length;i++){if(C[i].aAPIParentInfos){C[i].__aAPIParentInfos=C[i].aAPIParentInfos;C[i].aAPIParentInfos=null;}}var r=O.prototype.propagateProperties.apply(this,arguments);for(var i=0;i<C.length;i++){if(C[i].__aAPIParentInfos){C[i].aAPIParentInfos=C[i].__aAPIParentInfos;C[i].__aAPIParentInfos=null;}}return r;};return A;},true);
