/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./Context","./ODataParentBinding","./lib/_Cache","./lib/_GroupLock","./lib/_Helper","sap/ui/base/SyncPromise","sap/ui/model/Binding","sap/ui/model/ChangeReason","sap/ui/model/ContextBinding"],function(C,a,_,b,c,S,B,d,f){"use strict";var s="sap.ui.model.odata.v4.ODataContextBinding",m={AggregatedDataStateChange:true,change:true,dataReceived:true,dataRequested:true,DataStateChange:true,patchCompleted:true,patchSent:true};function g(p,r){var e=p.slice(0,p.lastIndexOf("/")),i=e.indexOf("(");return(i<0?e:p.slice(0,i))+r;}var O=f.extend("sap.ui.model.odata.v4.ODataContextBinding",{constructor:function(M,p,o,P){var i=p.indexOf("(...)");f.call(this,M,p);a.call(this);if(p.endsWith("/")){throw new Error("Invalid path: "+p);}this.oOperation=undefined;this.oParameterContext=null;this.oReturnValueContext=null;if(i>=0){if(i!==this.sPath.length-5){throw new Error("The path must not continue after a deferred operation: "+this.sPath);}this.oOperation={bAction:undefined,mChangeListeners:{},mParameters:{},sResourcePath:undefined};if(!this.bRelative){this.oParameterContext=C.create(this.oModel,this,this.sPath+"/$Parameter");}}P=c.clone(P)||{};this.checkBindingParameters(P,["$$canonicalPath","$$groupId","$$inheritExpandSelect","$$ownRequest","$$patchWithoutSideEffects","$$updateGroupId"]);this.sGroupId=P.$$groupId;this.bInheritExpandSelect=P.$$inheritExpandSelect;this.sUpdateGroupId=P.$$updateGroupId;this.applyParameters(P);this.oElementContext=this.bRelative?null:C.create(this.oModel,this,p);if(!this.oOperation&&(!this.bRelative||o&&!o.fetchValue)){this.createReadGroupLock(this.getGroupId(),true);}this.setContext(o);M.bindingCreated(this);},metadata:{publicMethods:[]}});a(O.prototype);O.prototype._delete=function(G,e){var E=this._findEmptyPathParentContext(this.oElementContext),o=E.getBinding();if(!o.execute){return this.fetchValue("",undefined,true).then(function(h){return E._delete(G,h);});}return this.deleteFromCache(G,e,"",undefined,function(){o._destroyContextAfterDelete();});};O.prototype._destroyContextAfterDelete=function(){this.oElementContext.destroy();this.oElementContext=null;if(this.oReturnValueContext){this.oReturnValueContext.destroy();this.oReturnValueContext=null;}this._fireChange({reason:d.Remove});};O.prototype._execute=function(G,p){var M=this.oModel.getMetaModel(),o,P,r=this.getResolvedPath(),t=this;function e(){t._fireChange({reason:d.Change});return t.refreshDependentBindings("",G.getGroupId(),true);}P=M.fetchObject(M.getMetaPath(r)+"/@$ui5.overload").then(function(h){var i,I,j;if(!h){throw new Error("Unknown operation: "+r);}if(h.length!==1){throw new Error("Expected a single overload, but found "+h.length+" for "+r);}if(t.bRelative&&t.oContext.getBinding){I=t.sPath.lastIndexOf("/");j=I>=0?t.sPath.slice(0,I):"";i=t.oContext.getValue.bind(t.oContext,j);}o=h[0];return t.createCacheAndRequest(G,r,o,p,i);}).then(function(R){var h,i,j;return e().then(function(){if(t.isReturnValueLikeBindingParameter(o)){i=t.oContext.getValue();h=i&&c.getPrivateAnnotation(i,"predicate");j=c.getPrivateAnnotation(R,"predicate");if(h===j){t.oContext.patch(R);}}if(t.hasReturnValueContext(o)){if(t.oReturnValueContext){t.oReturnValueContext.destroy();}t.oReturnValueContext=C.createReturnValueContext(t.oModel,t,g(r,j));t.oCache.setResourcePath(t.oReturnValueContext.getPath().slice(1));return t.oReturnValueContext;}});},function(E){function h(i){var j,k;function l(){return o.$Parameter.some(function(n){return j===n.$Name;});}if(i.target){k=i.target.split("/");j=k.shift();if(o.$IsBound&&j===o.$Parameter[0].$Name){i.target=c.buildPath(t.oContext.getPath(),k.join("/"));return;}else if(l()){i.target=t.oParameterContext.getPath()+"/"+i.target;return;}}delete i.target;}if(o){if(E.error){h(E.error);if(E.error.details){E.error.details.forEach(h);}}}return e().then(function(){throw E;});}).catch(function(E){G.unlock(true);if(t.oReturnValueContext){t.oReturnValueContext.destroy();t.oReturnValueContext=null;}t.oModel.reportError("Failed to execute "+r,s,E);throw E;});return Promise.resolve(P);};O.prototype.adjustPredicate=function(t,p){if(this.oElementContext){this.oElementContext.adjustPredicate(t,p);}};O.prototype.applyParameters=function(p,e){this.mQueryOptions=this.oModel.buildQueryOptions(p,true);this.mParameters=p;if(this.isRootBindingSuspended()){this.sResumeChangeReason=d.Change;}else if(!this.oOperation){this.fetchCache(this.oContext);if(e){this.refreshInternal("",undefined,true).catch(function(){});}}else if(this.oOperation.bAction===false){this.execute();}};O.prototype.attachEvent=function(e){if(!(e in m)){throw new Error("Unsupported event '"+e+"': v4.ODataContextBinding#attachEvent");}return f.prototype.attachEvent.apply(this,arguments);};O.prototype.computeOperationQueryOptions=function(){return Object.assign({},this.oModel.mUriParameters,this.getQueryOptionsFromParameters());};O.prototype.checkKeepAlive=function(){throw new Error("Unsupported "+this);};O.prototype.createCacheAndRequest=function(G,p,o,P,e){var A=o.$kind==="Action",h,E=e,M=this.oModel,i=M.getMetaModel().getMetaPath(p)+"/@$ui5.overload/0/$ReturnType",j=p.slice(1),r=M.oRequestor,t=this;function k(R){if(t.hasReturnValueContext(o)){return g(j,c.getPrivateAnnotation(R,"predicate"));}if(t.isReturnValueLikeBindingParameter(o)&&c.getPrivateAnnotation(E,"predicate")===c.getPrivateAnnotation(R,"predicate")){return j.slice(0,j.lastIndexOf("/"));}return j;}if(!A&&o.$kind!=="Function"){throw new Error("Not an operation: "+p);}if(this.bInheritExpandSelect&&!this.isReturnValueLikeBindingParameter(o)){throw new Error("Must not set parameter $$inheritExpandSelect on this binding");}this.oOperation.bAction=A;if(A&&e){E=e();}this.oOperation.mRefreshParameters=P;P=Object.assign({},P);this.mCacheQueryOptions=this.computeOperationQueryOptions();p=r.getPathAndAddQueryOptions(p,o,P,this.mCacheQueryOptions,E);if(o.$ReturnType&&!o.$ReturnType.$Type.startsWith("Edm.")){i+="/$Type";}h=_.createSingle(r,p,this.mCacheQueryOptions,M.bAutoExpandSelect,M.bSharedRequests,k,A,i);this.oCache=h;this.oCachePromise=S.resolve(h);return A?h.post(G,P,E):h.fetchValue(G);};O.prototype.destroy=function(){if(this.oElementContext){this.oElementContext.destroy();this.oElementContext=undefined;}if(this.oParameterContext){this.oParameterContext.destroy();this.oParameterContext=undefined;}if(this.oReturnValueContext){this.oReturnValueContext.destroy();this.oReturnValueContext=undefined;}this.oModel.bindingDestroyed(this);this.mCacheByResourcePath=undefined;this.oOperation=undefined;this.mParameters=undefined;this.mQueryOptions=undefined;a.prototype.destroy.call(this);f.prototype.destroy.call(this);};O.prototype.doCreateCache=function(r,q,o,D){return _.createSingle(this.oModel.oRequestor,r,q,this.oModel.bAutoExpandSelect,this.oModel.bSharedRequests,function(){return D;});};O.prototype.doDeregisterChangeListener=function(p,l){if(this.oOperation&&(p==="$Parameter"||p.startsWith("$Parameter/"))){c.removeByPath(this.oOperation.mChangeListeners,p.slice(11),l);return;}a.prototype.doDeregisterChangeListener.apply(this,arguments);};O.prototype.doFetchQueryOptions=function(o){return this.fetchResolvedQueryOptions(o);};O.prototype.doSetProperty=function(p,v,G){if(this.oOperation&&(p==="$Parameter"||p.startsWith("$Parameter/"))){c.updateAll(this.oOperation.mChangeListeners,"",this.oOperation.mParameters,_.makeUpdateData(p.split("/").slice(1),v));this.oOperation.bAction=undefined;if(G){G.unlock();}return S.resolve();}};O.prototype.execute=function(G){var r=this.oModel.resolve(this.sPath,this.oContext);this.checkSuspended();this.oModel.checkGroupId(G);if(!this.oOperation){throw new Error("The binding must be deferred: "+this.sPath);}if(this.bRelative){if(!r){throw new Error("Unresolved binding: "+this.sPath);}if(this.oContext.isTransient&&this.oContext.isTransient()){throw new Error("Execute for transient context not allowed: "+r);}if(this.oContext.getPath().indexOf("(...)")>=0){throw new Error("Nested deferred operation bindings not supported: "+r);}}return this._execute(this.lockGroup(G,true),c.clone(this.oOperation.mParameters));};O.prototype.fetchValue=function(p,l,e){var o=e&&this.oCache!==undefined?S.resolve(this.oCache):this.oCachePromise,E,r=this.getRootBinding(),t=this;if(r&&r.isSuspended()){E=new Error("Suspended binding provides no value");E.canceled="noDebugLog";throw E;}return o.then(function(h){var D=false,G,R=h||t.oOperation?t.getRelativePath(p):undefined,i,v;if(t.oOperation){if(R===undefined){return t.oContext.fetchValue(p,l,e);}i=R.split("/");if(i[0]==="$Parameter"){if(i.length===1){return undefined;}c.addByPath(t.oOperation.mChangeListeners,R.slice(11),l);v=c.drillDown(t.oOperation.mParameters,i.slice(1));return v===undefined?null:v;}}if(h&&R!==undefined){if(e){G=b.$cached;}else{G=t.oReadGroupLock||t.lockGroup();t.oReadGroupLock=undefined;}return t.resolveRefreshPromise(h.fetchValue(G,R,function(){D=true;t.fireDataRequested();},l)).then(function(v){t.assertSameCache(h);return v;}).then(function(v){if(D){t.fireDataReceived({data:{}});}return v;},function(E){G.unlock(true);if(D){t.oModel.reportError("Failed to read path "+t.sPath,s,E);t.fireDataReceived(E.canceled?{data:{}}:{error:E});}throw E;});}if(!t.oOperation&&t.oContext){return t.oContext.fetchValue(p,l,e);}});};O.prototype.getDependentBindings=function(){return this.oModel.getDependentBindings(this);};O.prototype.getParameterContext=function(){if(!this.oOperation){throw new Error("Not a deferred operation binding: "+this);}return this.oParameterContext;};O.prototype.getQueryOptionsFromParameters=function(){var p,q;if(!this.bInheritExpandSelect){return this.mQueryOptions;}p=this.oContext.getBinding().getCacheQueryOptions();q=Object.assign({},this.mQueryOptions);if("$select"in p){q.$select=p.$select;}if("$expand"in p){q.$expand=p.$expand;}return q;};O.prototype.getResolvedPath=function(){var p="",r=this.oModel.resolve(this.sPath,this.oContext),e,t=this;if(r&&r.includes("($uid=")){e=r.slice(1).split("/");r="";e.forEach(function(h){var E,P,T;p+="/"+h;T=h.indexOf("($uid=");if(T>=0){E=t.oContext.getValue(p);P=E&&c.getPrivateAnnotation(E,"predicate");if(!P){throw new Error("No key predicate known at "+p);}r+="/"+h.slice(0,T)+P;}else{r+="/"+h;}});}return r;};O.prototype.hasReturnValueContext=function(M){var o=this.oModel.getMetaModel(),e;if(!this.isReturnValueLikeBindingParameter(M)){return false;}e=o.getMetaPath(this.oModel.resolve(this.sPath,this.oContext)).split("/");return e.length===3&&o.getObject("/"+e[1]).$kind==="EntitySet";};O.prototype.initialize=function(){if(this.isResolved()){if(this.getRootBinding().isSuspended()){this.sResumeChangeReason=d.Change;}else{this._fireChange({reason:d.Change});}}};O.prototype.isReturnValueLikeBindingParameter=function(M){if(!(this.bRelative&&this.oContext&&this.oContext.getBinding)){return false;}return M.$IsBound&&M.$ReturnType&&!M.$ReturnType.$isCollection&&M.$EntitySetPath&&M.$EntitySetPath.indexOf("/")<0;};O.prototype.refreshInternal=function(r,G,e,k){var t=this;if(this.oOperation&&this.oOperation.bAction!==false){return S.resolve();}if(this.isRootBindingSuspended()){this.refreshSuspended(G);return this.refreshDependentBindings(r,G,e,k);}this.createReadGroupLock(G,this.isRoot());return this.oCachePromise.then(function(o){var p=t.oRefreshPromise,R=t.oReadGroupLock;if(!t.oElementContext){t.oElementContext=C.create(t.oModel,t,t.oModel.resolve(t.sPath,t.oContext));if(!o){t._fireChange({reason:d.Refresh});}}if(t.oOperation){t.oReadGroupLock=undefined;return t._execute(R,t.oOperation.mRefreshParameters);}if(o&&!p){t.removeCachesAndMessages(r);t.fetchCache(t.oContext);p=t.createRefreshPromise();if(k){p=p.catch(function(E){return t.fetchResourcePath(t.oContext).then(function(h){if(!t.bRelative||o.$resourcePath===h){t.oCache=o;t.oCachePromise=S.resolve(o);o.setActive(true);return t.checkUpdateInternal();}}).then(function(){throw E;});});}if(!e){t.fetchValue("").catch(function(){});}}return S.all([p,t.refreshDependentBindings(r,G,e,k)]);});};O.prototype.refreshReturnValueContext=function(o,G){var e,M=this.oModel;if(this.oReturnValueContext!==o){return null;}this.mCacheQueryOptions=this.computeOperationQueryOptions();e=_.createSingle(M.oRequestor,this.oReturnValueContext.getPath().slice(1),this.mCacheQueryOptions,true,M.bSharedRequests);this.oCache=e;this.oCachePromise=S.resolve(e);this.createReadGroupLock(G,true);return this.refreshDependentBindings("",G,true);};O.prototype.requestSideEffects=function(G,p,o){var M=this.oModel,n={},P=[],t=this;function r(h){return h.catch(function(E){M.reportError("Failed to request side effects",s,E);throw E;});}if(p.indexOf("")<0){try{P.push(this.oCache.requestSideEffects(this.lockGroup(G),p,n,o&&o.getPath().slice(1)));this.visitSideEffects(G,p,o,n,P);return S.all(P.map(r)).then(function(){return t.refreshDependentListBindingsWithoutCache();});}catch(e){if(!e.message.startsWith("Unsupported collection-valued navigation property ")){throw e;}}}return o&&this.refreshReturnValueContext(o,G)||this.refreshInternal("",G,true,true);};O.prototype.requestObject=function(p){return this.oElementContext?this.oElementContext.requestObject(p):Promise.resolve();};O.prototype.resumeInternal=function(e,p){var r=this.sResumeChangeReason;this.sResumeChangeReason=undefined;if(!this.oOperation){if(p||r){this.mAggregatedQueryOptions={};this.bAggregatedQueryOptionsInitial=true;this.removeCachesAndMessages("");this.fetchCache(this.oContext);}this.getDependentBindings().forEach(function(D){D.resumeInternal(e,!!r);});if(r){this._fireChange({reason:r});}}};O.prototype.setContext=function(o){if(this.oContext!==o){if(this.bRelative&&(this.oContext||o)){if(this.oElementContext){this.oElementContext.destroy();this.oElementContext=null;}if(this.oReturnValueContext){this.oReturnValueContext.destroy();this.oReturnValueContext=null;}if(this.oParameterContext){this.oParameterContext.destroy();this.oParameterContext=null;}this.fetchCache(o);if(o){this.oElementContext=C.create(this.oModel,this,this.oModel.resolve(this.sPath,o));if(this.oOperation){this.oParameterContext=C.create(this.oModel,this,this.oModel.resolve(this.sPath+"/$Parameter",o));}}B.prototype.setContext.call(this,o);}else{this.oContext=o;}}};O.prototype.setParameter=function(p,v){var o;if(!this.oOperation){throw new Error("The binding must be deferred: "+this.sPath);}if(!p){throw new Error("Missing parameter name");}if(v===undefined){throw new Error("Missing value for parameter: "+p);}o=this.oOperation.mParameters[p];this.oOperation.mParameters[p]=v;c.informAll(this.oOperation.mChangeListeners,p,o,v);this.oOperation.bAction=undefined;return this;};return O;});
