/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/m/Button","sap/m/Dialog","sap/m/DialogRenderer","sap/m/GenericTile","sap/m/ImageContent","sap/m/Input","sap/m/Label","sap/m/SelectDialog","sap/m/StandardListItem","sap/m/TextArea","sap/m/TileContent","sap/m/VBox","sap/ui/core/Title","sap/ui/layout/form/SimpleForm","sap/ui/model/Filter","sap/ui/model/json/JSONModel","sap/ui/rta/Utils","sap/ui/layout/form/ResponsiveGridLayout"],function(B,D,a,G,I,b,L,S,c,T,d,V,e,f,F,J,R){"use strict";var r=sap.ui.getCore().getLibraryResourceBundle("sap.ui.rta");var o;var t;var g;var s;var h;var i;var j;var k;var l;var m;var n;var C;var p;function _(){o=new G("tile",{header:"{/title}",subheader:"{/subtitle}",ariaLabel:r.getText("APP_VARIANT_TILE_ARIA_LABEL"),tileContent:[new d({content:[new I({src:"{/icon}"})]})]}).addStyleClass("sapUiMediumMarginBegin").addStyleClass("sapUiTinyMarginTop").addStyleClass("sapUiTinyMarginBottom");}function q(E){var z=E.getParameter("value");var H=new F("name",sap.ui.model.FilterOperator.Contains,z);var K=E.getSource().getBinding("items");K.filter([H]);}function u(E){var z=E.getParameter("selectedContexts");if(z&&z.length){z.forEach(function(H){var K=H.getObject().name;l.setValue(K);C.setProperty("/icon",H.getObject().icon);});}E.getSource().getBinding("items").filter([]);}function v(){if(!n){n=new S("selectDialog",{noDataText:r.getText("APP_VARIANT_ICON_NO_DATA"),title:r.getText("APP_VARIANT_ICON_SELECT_ICON"),search:function(E){q(E);},confirm:function(E){u(E);},cancel:function(E){u(E);}});}n.addStyleClass(R.getRtaStyleClassName());n.bindAggregation("items",{path:"/icons",template:new c({title:"{name}",description:"",icon:"{icon}",iconDensityAware:false,iconInset:false,type:"Active"})});var U=sap.ui.core.IconPool.getIconNames();var z=[];U.forEach(function(N){z.push({icon:sap.ui.core.IconPool.getIconInfo(N).uri,name:N.toLowerCase()});});p.setProperty("/icons",z);n.setModel(p);n.getBinding("items").filter([]);n.open();}function w(){t=new L({required:true,text:r.getText("APP_DIALOG_TITLE_TEXT"),textAlign:"Left"});g=new b("titleInput",{value:"{/title}",valueLiveUpdate:true,placeholder:r.getText("SAVE_AS_DIALOG_PLACEHOLDER_TITLE_TEXT"),liveChange:function(){var z=sap.ui.getCore().byId("saveButton");if(this.getValue()===""){this.setValueState(sap.ui.core.ValueState.Error);z.setEnabled(false);}else{this.setValueState(sap.ui.core.ValueState.None);z.setEnabled(true);}}});s=new L({text:r.getText("APP_DIALOG_SUB_TITLE_TEXT"),textAlign:"Left"});h=new b({value:"{/subtitle}",valueLiveUpdate:true});i=new L({text:r.getText("APP_DIALOG_DESCRIPTION_TEXT"),textAlign:"Left"});j=new T({rows:4});k=new L({text:r.getText("APP_DIALOG_ICON_TEXT"),textAlign:"Left"});l=new b("selectInput",{showValueHelp:true,liveChange:function(E){v(E);},valueHelpRequest:function(E){v(E);},value:"{/iconname}",valueLiveUpdate:true});}function x(){m=new f({editable:true,layout:"ResponsiveGridLayout",labelSpanXL:4,labelSpanL:4,labelSpanM:4,labelSpanS:4,adjustLabelSpan:false,emptySpanXL:0,emptySpanL:0,emptySpanM:0,emptySpanS:0,columnsXL:2,columnsL:2,columnsM:2,singleContainerFullSize:false,content:[new e("title1"),t,g,s,h,k,l,i,j,new e("title2"),o]});return m;}function y(){var z=new V({items:[x()]}).addStyleClass("sapUISmallMargin");return z;}var A=D.extend("sap.ui.rta.appVariant.AppVariantDialog",{metadata:{library:"sap.ui.rta",events:{create:{},cancel:{}}},init:function(){D.prototype.init.apply(this);this.setTitle(r.getText("CREATE_APP_VARIANT_DIALOG_TITLE"));this.setContentWidth("620px");this.setContentHeight("250px");C=new J({title:null,subtitle:null,icon:" ",iconname:null});p=new J({icons:null});sap.ui.getCore().setModel(C);_();w();this.addContent(y());this._createButtons();this.addStyleClass(R.getRtaStyleClassName());},onAfterRendering:function(){document.getElementById('title1').style.height="0px";document.getElementById('title2').style.height="0px";document.getElementById('tile').style.float="left";},_onCreate:function(){var z=g.getValue()||" ";var E=h.getValue()||" ";var H=j.getValue()||" ";var K=l.getValue()?sap.ui.core.IconPool.getIconInfo(l.getValue()).uri:" ";this.fireCreate({title:z,subTitle:E,description:H,icon:K});this.close();this.destroy();},_createButtons:function(){this.addButton(new B("saveButton",{text:r.getText("APP_VARIANT_DIALOG_SAVE"),tooltip:r.getText("TOOLTIP_APP_VARIANT_DIALOG_SAVE"),enabled:false,press:function(){this._onCreate();}.bind(this)}));this.addButton(new B({text:r.getText("SAVE_AS_APP_VARIANT_DIALOG_CANCEL"),tooltip:r.getText("TOOLTIP_SAVE_AS_APP_VARIANT_DIALOG_CANCEL"),press:function(){this.fireCancel();this.close();this.destroy();}.bind(this)}));},destroy:function(){if(C){C.destroy();}D.prototype.destroy.apply(this,arguments);},renderer:a.render});return A;});
