/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/rta/plugin/Plugin","sap/ui/dt/ElementUtil","sap/ui/dt/OverlayRegistry","sap/ui/rta/Utils","sap/ui/fl/Utils","sap/ui/dt/Util","sap/ui/core/StashedControlSupport","sap/ui/dt/ElementDesignTimeMetadata","sap/base/Log","sap/base/util/merge","sap/ui/fl/apply/api/DelegateMediatorAPI","sap/ui/core/util/reflection/JsControlTreeModifier"],function(P,E,O,U,F,D,S,a,L,m,b,J){"use strict";function _(i,t,u){var v;var R=t;if(u){var w=["add.delegate","reveal","add.custom"].some(function(z){return u.isResponsibleElementActionAvailable(t,z);});if(w){R=u.getResponsibleElementOverlay(t);}}var x=R.getRelevantContainer(!i);var y=O.getOverlay(x);if(i){v=R.getParentElementOverlay();}else{v=R;}return{responsibleElementOverlay:R,relevantContainerOverlay:y,parentOverlay:v,relevantContainer:x,parent:v&&v.getElement()};}function c(i,C){return C.sParentAggregationName;}function d(i,t){var u=i.getElement();if(!u){return[];}var I=E.getAggregation(u,t).filter(function(C){var w=O.getOverlay(C);if(!this.hasStableId(w)){return false;}var R=i.getRelevantContainer(true);var x=O.getOverlay(R);var y=i;var z=false;do{z=!y.getElementVisibility();if(z){break;}if(y===x){break;}else{y=y.getParentElementOverlay();}}while(y);if(z){return true;}return w.getElementVisibility()===false;},this);var v=S.getStashedControls(u.getId());return I.concat(v);}function e(i){return(i["addViaDelegate"]&&i["addViaDelegate"].designTimeMetadata)||(i["addViaCustom"]&&i["addViaCustom"].designTimeMetadata);}var f=true;var g=false;function h(R,i,t,u,C){var N=[];var v;var w;if(i.addViaCustom||i.addViaDelegate){var x=i.aggregation;var y=e(i);v=y.getAggregationDescription(x,t);if(v){w=u?v.singular:v.plural;N.push(w);}}if(i.reveal){i.reveal.controlTypeNames.forEach(function(v){w=u?v.singular:v.plural;N.push(w);});}var z=N.reduce(function(B,G){if(B.indexOf(G)===-1){B.push(G);}return B;},[]);var T=sap.ui.getCore().getLibraryResourceBundle("sap.ui.rta");if(z.length===1){w=z[0];}else if(C){w=C;}else{w=T.getText("MULTIPLE_CONTROL_NAME");}return T.getText(R,[w]);}function j(){return{designTimeMetadata:new a({data:{name:{singular:function(){return sap.ui.getCore().getLibraryResourceBundle("sap.uxap").getText("SECTION_CONTROL_NAME");},plural:function(){return sap.ui.getCore().getLibraryResourceBundle("sap.uxap").getText("SECTION_CONTROL_NAME_PLURAL");}},actions:{reveal:{changeType:"unstashControl",getAggregationName:c}}}}),action:{changeType:"unstashControl",getAggregationName:c}};}function k(i,R){var t;i.reveal.elements.some(function(u){if(u.element.getId()===R.getId()){t=u;return false;}});return t;}function l(i,t){var R=t.responsibleElementOverlay.getParentAggregationOverlay().getAggregationName();return i.aggregation===R;}function n(C,i,t,u){var v=t.changeType&&u.hasStableId(C);if(v&&C!==i.relevantContainerOverlay){v=u.hasStableId(i.relevantContainerOverlay);}return v;}function o(i,t,u){return i.reduce(function(v,w){return v.then(function(x){var C=w.changeOnRelevantContainer?t.relevantContainer:t.parent;var y=O.getOverlay(C);var V=n(y,t,w,u);if(V){w.element=C;return b.getDelegateForControl({control:t.relevantContainer,modifier:J,supportsDefault:w.supportsDefaultDelegate}).then(function(z){if(z&&z.name){w.delegateInfo=z;x.push(w);}return x;});}return x;});},Promise.resolve([]));}function p(i,t){return this.hasChangeHandler(i.changeType,i.element).then(function(H){if(H){return{aggregationName:i.aggregation,addPropertyActionData:{designTimeMetadata:t,action:i,delegateInfo:{payload:i.delegateInfo.payload||{},delegate:i.delegateInfo.instance,modelType:i.delegateInfo.modelType,requiredLibraries:i.delegateInfo.requiredLibraries}}};}});}function q(C,R){var i=C.getManifestEntry("/sap.ui5/dependencies/libs");return Object.keys(R).some(function(t){return!i[t];});}function r(){var i=[];var R=b.getKnownDefaultDelegateLibraries();R.forEach(function(t){var u=sap.ui.getCore().loadLibrary(t,{async:true}).catch(function(v){L.warning("Required library not available: ",v);return Promise.reject();});i.push(u);});return Promise.all(i);}var A=P.extend("sap.ui.rta.plugin.additionalElements.AdditionalElementsPlugin",{metadata:{library:"sap.ui.rta",properties:{analyzer:"object",dialog:"object",commandFactory:"object"},associations:{},events:{}},getContextMenuTitle:function(i,t){var u=_(i,t,this);var v=this._getActionsOrUndef(i,t);return h("CTX_ADD_ELEMENTS",v,u.parent,f);},isAvailable:function(i,t){return t.every(function(u){return this._isEditableByPlugin(u,i);},this);},isEnabled:function(i,t){if(t.length>1){return false;}var u=this.getResponsibleElementOverlay(t[0]);var v;var I;if(i){v=u.getParentElementOverlay();if(v){I=true;}else{I=false;}}else{var w=this._getActionsOrUndef(i,u);if((!w.reveal||w.reveal.elements.length===0)&&!w.addViaCustom&&!w.addViaDelegate){I=false;}else{I=true;}}var C=this.getCachedElements(i);var x=C&&C.length>0;I=I&&(x||this.getDialog().getCustomFieldEnabled());return I;},registerElementOverlay:function(i){var M=i.getElement().getModel();if(M){var t=M.getMetaModel();if(t&&t.loaded){t.loaded().then(function(){this.evaluateEditable([i],{onRegistration:true});}.bind(this));}}P.prototype.registerElementOverlay.apply(this,arguments);},_getRevealActions:function(i,t){var u=_(i,t,this);var v=[u.parentOverlay];if(u.relevantContainer!==u.parent){v=E.findAllSiblingsInContainer(u.parent,u.relevantContainer).map(function(y){return O.getOverlay(y);}).filter(function(y){return y;});}var w;if(i){var x=u.responsibleElementOverlay.getParentAggregationOverlay();w=x?[u.responsibleElementOverlay.getParentAggregationOverlay().getAggregationName()]:[];}else{w=u.parentOverlay.getAggregationOverlays().filter(function(y){return!y.getDesignTimeMetadata().isIgnored(u.parent);}).map(function(y){return y.getAggregationName();});}return w.reduce(function(y,z){return y.then(function(R){return this._getRevealActionFromAggregations(v,R,z);}.bind(this));}.bind(this),Promise.resolve({}));},_getRevealActionFromAggregations:function(i,t,u){var I=i.reduce(function(w,x){return x?w.concat(d.call(this,x,u)):w;}.bind(this),[]);var v={elements:[],controlTypeNames:[]};var R=I.reduce(function(w,x){return w.then(function(y){return this._invisibleToReveal(y,x);}.bind(this));}.bind(this),Promise.resolve(v));return R.then(function(w){if(w.elements.length>0){t[u]={reveal:w};}return t;});},_invisibleToReveal:function(R,i){return Promise.resolve().then(function(){var t=i.getMetadata().getName();var u;var v;var w=false;var H=Promise.resolve();if(t==="sap.ui.core._StashedControl"){var x=j();u=x.designTimeMetadata;v=x.action;w=true;}else{var y=O.getOverlay(i);if(y){u=y.getDesignTimeMetadata();v=u&&u.getAction("reveal",i);if(v&&v.changeType){var z=i;if(v.changeOnRelevantContainer){z=y.getRelevantContainer();}H=this.hasChangeHandler(v.changeType,z).then(function(B){if(B){if(v.changeOnRelevantContainer){var C=_(true,y);w=this.hasStableId(C.relevantContainerOverlay)&&this.hasStableId(C.parentOverlay);}else{w=true;}if(!v.getAggregationName){v.getAggregationName=c;}}}.bind(this));}}}return H.then(function(){if(w){R.elements.push({element:i,designTimeMetadata:u,action:v});var N=u.getName(i);if(N){R.controlTypeNames.push(N);}}return R;});}.bind(this));},_getAddViaDelegateActions:function(i,t){var u=_(i,t,this);var v=u.parentOverlay&&u.parentOverlay.getDesignTimeMetadata();return Promise.resolve().then(function(){var w=v?v.getActionDataFromAggregations("add",u.parent,undefined,"delegate"):[];if(w.length){return r().then(o.bind(this,w,u,this));}return[];}.bind(this)).then(function(w){return w.reduce(function(x,y){return x.then(function(R){return p.call(this,y,v).then(function(z){if(z){z.addPropertyActionData.relevantContainer=u.relevantContainer;if(!R[z.aggregationName]){R[z.aggregationName]={};}R[z.aggregationName].addViaDelegate=z.addPropertyActionData;}return R;});}.bind(this));}.bind(this),Promise.resolve({}));}.bind(this));},_checkInvalidAddActions:function(i,t){var u=_(i,t,this);var v=u.parentOverlay&&u.parentOverlay.getDesignTimeMetadata();var w=v?v.getActionDataFromAggregations("addODataProperty",u.parent):[];if(w.length>0){L.error("Outdated addODataProperty action in designtime metadata in "+v.getData().designtimeModule+" or propagated or via instance specific designtime metadata.");}},_getCustomAddActions:function(i,t){var u=_(i,t,this);var v=u.parentOverlay&&u.parentOverlay.getDesignTimeMetadata();var w=v&&v.getActionDataFromAggregations("add",u.parent,undefined,"custom")||[];function x(y,C){var I=[];return Promise.resolve().then(function(){if(y&&typeof y.getItems==="function"){var z=O.getOverlay(C);if(this.hasStableId(z)){return y.getItems(C);}}}.bind(this)).then(function(z){I=z;if(Array.isArray(I)){var B=I.reduce(function(G,H){if(H.changeSpecificData.changeOnRelevantContainer){C=u.relevantContainer;}if(H.changeSpecificData.changeType){G.push(this.hasChangeHandler(H.changeSpecificData.changeType,C));}return G;}.bind(this),[]);return Promise.all(B);}}.bind(this)).then(function(H){if(Array.isArray(H)&&I.length===H.length&&H.indexOf(false)===-1){return{aggregationName:y.aggregation,addViaCustom:{designTimeMetadata:v,action:y,items:I}};}});}var C=u.parent;return w.reduce(function(y,z){return y.then(function(R){return x.call(this,z,C).then(function(B){if(B){R[B.aggregationName]={addViaCustom:B.addViaCustom};}return R;});}.bind(this));}.bind(this),Promise.resolve({}));},_getActions:function(i,t,I){return new Promise(function(u,v){var w=i?"asSibling":"asChild";if(!I&&t._mAddActions){return u(t._mAddActions[w]);}var R=this._getRevealActions(i,t);var x=this._getAddViaDelegateActions(i,t);var C=this._getCustomAddActions(i,t);return Promise.all([R,x,C,this._checkInvalidAddActions(i,t)]).then(function(y){var z=m(y[0],y[1],y[2]);var B=Object.keys(z);if(B.length===0){z={};}else if(B.length>1){L.error("reveal or addViaDelegate or custom add action defined for more than 1 aggregation, that is not yet possible");}if(B.length>0){var G=B[0];z[G].aggregation=G;z=z[G];}t._mAddActions=t._mAddActions||{asSibling:{},asChild:{}};t._mAddActions[w]=z;u(z);}).catch(function(y){v(y);});}.bind(this));},_getActionsOrUndef:function(i,t){var u=i?"asSibling":"asChild";return t._mAddActions&&t._mAddActions[u];},_checkIfCreateFunctionIsAvailable:function(C){return!C||(C&&C.content&&C.content.createFunction);},showAvailableElements:function(i,R,I,C){var t=R[0];var u=_(i,t);var v=i&&t.getElement();var w;return this._getActions(i,t).then(function(x){w=x;}).then(function(){return this.getAllElements(i,[u.responsibleElementOverlay],I,C);}.bind(this)).then(function(x){this.getDialog().setElements(x);return this.getDialog().open().then(function(){return this._createCommands(u,v,w,I);}.bind(this)).catch(function(y){if(y instanceof Error){throw y;}});}.bind(this)).catch(function(x){if(x instanceof Error){throw x;}else{L.info("Service not up to date, skipping add dialog","sap.ui.rta");}});},_setDialogTitle:function(i,t,C){var u=h("HEADER_ADDITIONAL_ELEMENTS",i,t,g,C);this.getDialog().setTitle(u);if(C){this.getDialog()._oList.setNoDataText(this.getDialog()._oTextResources.getText("MSG_NO_FIELDS",C.toLowerCase()));}},_onOpenCustomField:function(){F.ifUShellContainerThen(function(i){var C=i[0];var H=(C&&C.hrefForExternal({target:{semanticObject:"CustomField",action:"develop"},params:{businessContexts:this._oCurrentFieldExtInfo.BusinessContexts.map(function(B){return B.BusinessContext;}),serviceName:this._oCurrentFieldExtInfo.ServiceName,serviceVersion:this._oCurrentFieldExtInfo.ServiceVersion,entityType:this._oCurrentFieldExtInfo.EntityType}}));U.openNewWindow(H);}.bind(this),["CrossApplicationNavigation"]);},_createCommands:function(i,t,u,I){var v=this.getDialog().getSelectedElements();v.sort(function(w,x){if(w.label>x.label){return-1;}if(w.label<x.label){return 1;}return 0;});if(v.length>0){return this.getCommandFactory().getCommandFor(i.parent,"composite").then(function(C){var w=Promise.resolve();v.forEach(function(x){switch(x.type){case"invisible":w=w.then(this._createCommandsForInvisibleElement.bind(this,C,x,i,t,u,I));break;case"delegate":w=w.then(this._createCommandsForAddViaDelegate.bind(this,C,x,i,t,u,I));break;case"custom":w=w.then(this._createCommandsForCustomElement.bind(this,C,x,i,t,u,I));break;default:L.error("Can't create command for untreated element.type "+x.type);}},this);return w.then(function(){return C;});}.bind(this)).then(function(C){this.fireElementModified({command:C});}.bind(this)).catch(function(M){throw D.propagateError(M,"AdditionalElementsPlugin#_createCommands","Error occured during _createCommands execution","sap.ui.rta.plugin");});}return Promise.resolve();},_createCommandsForInvisibleElement:function(C,i,t,u,v,I){return this._createRevealCommandForInvisible(i,v,t).then(function(R){C.addCommand(R);return this._createMoveCommandForInvisible(i,v,t,u,I);}.bind(this)).then(function(M){if(M){C.addCommand(M);}else{L.warning("No move action configured for "+t.parent.getMetadata().getName()+", aggregation: "+v.aggregation,"sap.ui.rta");}return C;});},_createCommandForAddLibrary:function(i,R,t){if(R){var C=F.getAppComponentForControl(i.relevantContainer);var u=q(C,R);if(u){var M=C.getManifest();var v=M["sap.app"].id;return this.getCommandFactory().getCommandFor(i.publicParent,"addLibrary",{reference:v,parameters:{libraries:R},appComponent:C},t);}}return Promise.resolve();},_createRevealCommandForInvisible:function(i,t,u){var R=E.getElementInstance(i.elementId);var v=O.getOverlay(R);var w=k(t,R);var x=w.designTimeMetadata;var y=w.action;if(!v){var z=s(R,u,v);v=O.getOverlay(z);}var V;if(v){V=this.getVariantManagementReference(v);}if(y.changeOnRelevantContainer){return this.getCommandFactory().getCommandFor(R,"reveal",{revealedElementId:R.getId(),directParent:u.parent},x,V);}return this.getCommandFactory().getCommandFor(R,"reveal",{},x,V);},_createMoveCommandForInvisible:function(i,t,u,v,I){var R=E.getElementInstance(i.elementId);var w=O.getOverlay(R);var x;if(w){x=w.getParentAggregationOverlay().getAggregationName();}else{var y=k(t,R);x=y.action.getAggregationName(u.parent,R);}var z=s(R,u,w);var T=u.parent;var B=U.getIndex(u.parent,v,x);var C=U.getIndex(z,R,x)-1;B=I!==undefined?I:E.adjustIndexForMove(z,T,C,B);if(B!==C||u.parent!==R.getParent()){var G=O.getOverlay(R)?O.getOverlay(R).getParentAggregationOverlay():u.relevantContainerOverlay;var H=G.getDesignTimeMetadata();var V=this.getVariantManagementReference(G);return this.getCommandFactory().getCommandFor(u.relevantContainer,"move",{movedElements:[{element:R,sourceIndex:C,targetIndex:B}],source:{parent:z,aggregation:x},target:{parent:T,aggregation:x}},H,V);}return Promise.resolve();},_createCommandsForCustomElement:function(C,i,t,u,v,I){var w=t.parent;var x=t.parentOverlay.getAggregationOverlay(v.aggregation).getDesignTimeMetadata();var y=Object.assign({changeOnRelevantContainer:i.changeSpecificData.changeOnRelevantContainer,aggregationName:v.aggregation,changeType:i.changeSpecificData.changeType,addElementInfo:i.changeSpecificData.content,index:I||U.getIndex(t.parent,u,v.aggregation)},i.itemId&&{customItemId:i.itemId});var V;if(t.relevantContainerOverlay){V=this.getVariantManagementReference(t.relevantContainerOverlay);}return this.getCommandFactory().getCommandFor(w,"customAdd",y,x,V).then(function(z){if(z){C.addCommand(z);}return C;});},_createCommandsForAddViaDelegate:function(C,i,t,u,v,I){var w=v.addViaDelegate.action;var R=w.delegateInfo.requiredLibraries;var x=t.parentOverlay.getAggregationOverlay(v.aggregation);var y=x.getDesignTimeMetadata();return this._createCommandForAddLibrary(t,R,y).then(function(z){if(z){C.addCommand(z);}return this._createAddViaDelegateCommand(i,t,y,u,v,I);}.bind(this)).then(function(z){if(z){C.addCommand(z);}return C;});},_createAddViaDelegateCommand:function(i,t,u,v,w,I){var x=w.addViaDelegate.action;var y=x.changeOnRelevantContainer?t.relevantContainer:t.parent;var z=x.changeOnRelevantContainer?t.relevantContainerOverlay:t.parentOverlay;var V=this.getVariantManagementReference(z);var B=U.getIndex(t.parent,v,w.aggregation,u.getData().getIndex);var C="addDelegateProperty";var M=F.getAppComponentForControl(t.parent).getManifest();var G=F.getODataServiceUriFromManifest(M);return this.getCommandFactory().getCommandFor(t.parent,C,{newControlId:U.createFieldLabelId(y,i.entityType,i.bindingPath),index:I!==undefined?I:B,bindingString:i.bindingPath,entityType:i.entityType,parentId:t.parent.getId(),propertyName:i.name,oDataServiceVersion:i.oDataServiceVersion,oDataServiceUri:G,modelType:x.delegateInfo.modelType,relevantContainerId:t.relevantContainer.getId()},u,V);},_isEditable:function(i,t){return Promise.all([this._isEditableCheck(t.sourceElementOverlay,true),this._isEditableCheck(t.sourceElementOverlay,false)]).then(function(u){return{asSibling:u[0],asChild:u[1]};}).catch(function(v){L.error(v);});},_isEditableCheck:function(i,t){return Promise.resolve().then(function(){var u=_(t,i,this);if(!u.relevantContainerOverlay){return false;}return this._getActions(t,i,true).then(function(v){return U.doIfAllControlsAreAvailable([i,u.parentOverlay],function(){var w=false;if(t){w=l(v,u);}if(!w&&v.reveal){w=true;}if(!w&&!t){if(v.addViaDelegate){return this.checkAggregationsOnSelf(u.parentOverlay,"add",undefined,"delegate");}}if(!w&&!t&&v.addViaCustom){w=true;}return w;}.bind(this));}.bind(this)).then(function(v){if(v){v=this.hasStableId(i)&&this.hasStableId(u.parentOverlay);}return v;}.bind(this));}.bind(this));},getAllElements:function(i,t,I,C){var u=t[0];var v=_(i,u,this);var w;var x=[];var y=this.getCachedElements(i);if(y){return y;}return this._getActions(i,u).then(function(z){w=z;x.push(w.reveal?this.getAnalyzer().enhanceInvisibleElements(v.parent,w):Promise.resolve([]),w.addViaDelegate?this.getAnalyzer().getUnrepresentedDelegateProperties(v.parent,w.addViaDelegate):Promise.resolve([]),w.addViaCustom?this.getAnalyzer().getCustomAddItems(v.parent,w.addViaCustom,w.aggregation):Promise.resolve([]));if(w.aggregation||C){this._setDialogTitle(w,v.parent,C);}}.bind(this)).then(function(){if(w.addViaDelegate){return U.isServiceUpToDate(v.parent);}}).then(function(){if(w.addViaDelegate){return U.isExtensibilityEnabledInSystem(v.parent);}this.getDialog()._oCustomFieldButton.setVisible(false);}.bind(this)).then(function(z){if(w.addViaDelegate){this.getDialog()._oCustomFieldButton.setVisible(z);this.getDialog().setCustomFieldEnabled(false);return U.isCustomFieldAvailable(v.parent);}}.bind(this)).then(function(z){if(z){this._oCurrentFieldExtInfo=z;this.getDialog().setCustomFieldEnabled(true);this.getDialog().addBusinessContext(this._oCurrentFieldExtInfo.BusinessContexts);this.getDialog().detachEvent('openCustomField',this._onOpenCustomField,this);this.getDialog().attachEvent('openCustomField',null,this._onOpenCustomField,this);}}.bind(this)).then(this._combineAnalyzerResults.bind(this,x)).then(function(z){this.setCachedElements(z,i);return z;}.bind(this)).catch(function(z){throw z;});},getMenuItems:function(t){var u=true;var v="CTX_ADD_ELEMENTS_AS_SIBLING";var R=20;var I="sap-icon://add";var M=[];this.clearCachedElements();return Promise.all([this.getAllElements(true,t),this.getAllElements(false,t)]).then(function(){for(var i=0;i<2;i++){if(this.isAvailable(u,t)){var G=this.getContextMenuTitle.bind(this,u);var w={id:v,text:G,handler:function(u,t){return this.showAvailableElements(u,t);}.bind(this,u),enabled:this.isEnabled.bind(this,u),rank:R,icon:I};M.push(this.enhanceItemWithResponsibleElement(w,t,["addViaDelegate","reveal","custom"]));}u=false;v="CTX_ADD_ELEMENTS_AS_CHILD";R=30;}return M;}.bind(this));},_combineAnalyzerResults:function(i){return Promise.all(i).then(function(t){return this.getAnalyzer().getFilteredItemsList(t);}.bind(this));},clearCachedElements:function(){this._aCachedElements=undefined;},setCachedElements:function(i,t){this._aCachedElements=this._aCachedElements||{};this._aCachedElements[t?"asSibling":"asChild"]=i;},getCachedElements:function(i){if(!this._aCachedElements){return undefined;}return this._aCachedElements[i?"asSibling":"asChild"];}});function s(R,i,t){var u;if(t){u=t.getParentElementOverlay().getElement();}if(!u&&R.sParentId){u=sap.ui.getCore().byId(R.sParentId);}else if(!u){u=i.parent;}return u;}return A;});
