/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/base/ManagedObject',"sap/ui/test/_OpaLogger",'sap/ui/thirdparty/jquery',"sap/ui/test/selectors/_ControlSelectorValidator",'sap/ui/test/selectors/_selectors'],function(M,_,$,a,s){"use strict";var b=M.extend("sap.ui.test.selectors._ControlSelectorGenerator");var c=_.getLogger("sap.ui.test.selectors._ControlSelectorGenerator");b._generate=function(o){var p=b._getOrderedGenerators(o.settings);var P=o.includeAll?b._executeAllPlainGenerators(p,o):b._executeTopPlainGenerator(p,o);return P.catch(function(e){if(o.shallow){return Promise.reject(e);}else{return b._generateHierarchicalUp(o.control).catch(function(){return b._generateHierarchicalDown(o.control);}).then(function(S){var f=b._filterUnique(S,o);return o.includeAll?f:f[0];});}});};var D=20;var d=10;b.setParams=function(p){if(p.maxDepth&&Number.isInteger(p.maxDepth)&&p.maxDepth>0){b._maxDepth=p.maxDepth;}if(p.maxWidth&&Number.isInteger(p.maxWidth)&&p.maxWidth>0){b._maxWidth=p.maxWidth;}};b.resetParams=function(i){b._maxDepth=D;b._maxWidth=d;};b.resetParams();b._executeAllPlainGenerators=function(g,o){return Promise.all(g.map(function(G){return b._executeGenerator(G,o);})).then(function(S){S=S.filter(function(v){return v&&!$.isEmptyObject(v)&&(!$.isArray(v)||v.length);});if(S.length){c.debug("The matching "+(o.multiple?"non-unique":"unique")+" selectors are: "+JSON.stringify(S));return S;}else{return Promise.reject(new Error("Could not generate a selector for control "+o.control));}});};b._executeTopPlainGenerator=function(g,o,i){i=i||0;if(i===g.length){return Promise.reject(new Error("Could not generate a selector for control "+o.control));}return b._executeGenerator(g[i],o).then(function(S){if(S.length){c.debug("The top priority "+(o.multiple?"non-unique":"unique")+" selector is: "+JSON.stringify(S[0]));return S[0];}else{return b._executeTopPlainGenerator(g,o,i+1);}});};b._executeGenerator=function(g,o){return b._getValidationRootSelector(g,o).then(function(r){return b._getAncestorSelector(g,o).then(function(A){var S=g.generate(o.control,A,r);return b._filterUnique(S,o.validationRoot,o.multiple);});});};b._getValidationRootSelector=function(g,o){o=o||{};return new Promise(function(r,e){if(o.shallow||!g._isValidationRootRequired()){r(null);}else{var v=g._getValidationRoot(o.control);if(v){return b._generateUniqueSelectorInSubtree(o.control,v).then(function(S){r(S);}).catch(function(E){e(E);});}else{r(null);}}});};b._getAncestorSelector=function(g,o){o=o||{};return new Promise(function(r,e){if(o.shallow||!g._isAncestorRequired()){r(null);}else{var A=g._getAncestor(o.control);if(A){return b._generate({control:A}).then(function(S){r(S);}).catch(function(E){c.debug("Could not generate selector for ancestor "+A+". Error: "+E);r(null);});}else{r(null);}}});};b._generateHierarchicalUp=function(C){return b._generateUniqueAncestorSelector(C).then(function(u){return b._generateUniqueSelectorInSubtree(C,u.ancestor).then(function(r){return $.extend({},r,{ancestor:u.selector});});});};b._generateHierarchicalDown=function(C){return b._generate({control:C,shallow:true,multiple:true}).then(function(m){return b._generateUniqueDescendantSelector(C).then(function(u){return $.extend({},m,{descendant:u});});});};b._generateUniqueDescendantSelector=function(C,i){return new Promise(function(r,e){i=i||0;if(i>=b._maxDepth){e(new Error("Could not generate selector for descendant of "+C+". Exceeded limit of "+b._maxDepth+" levels"));}else{var f=Object.keys(C.mAggregations).filter(function(A){var v=C.mAggregations[A];return v&&(($.isArray(v)&&v.length)||(v.getMetadata&&v.getMetadata().getName()));}).map(function(A){var v=C.mAggregations[A];return $.isArray(v)?v.slice(0,b._maxWidth):v;}).reduce(function(R,A){return R.concat(A);},[]);return b._generateUniqueSelectorForChild(f).then(function(S){r(S);}).catch(function(){return b._callGenerateUniqueDescendant(f,i+1).then(function(S){r(S);}).catch(function(E){e(E);});});}});};b._callGenerateUniqueDescendant=function(C,i,I){I=I||0;if(I>=C.length){return Promise.reject(new Error("Could not generate unique selector for descendant at level "+i));}return b._generateUniqueDescendantSelector(C[I],i).then(function(S){return S;}).catch(function(){return b._callGenerateUniqueDescendant(C,i,I+1);});};b._generateUniqueSelectorForChild=function(C,i){i=i||0;if(i>=C.length){return Promise.reject();}return b._generate({control:C[i],shallow:true}).then(function(S){return S;}).catch(function(e){return b._generateUniqueSelectorForChild(C,i+1);});};b._generateUniqueAncestorSelector=function(C,u,i){u=u||C.getParent();i=i||0;var e=i>=b._maxDepth;if(!u||e){return Promise.reject(new Error("Could not generate unique selector for ancestor of "+C+(e?". Exceeded limit of "+b._maxDepth+" levels":"")));}return b._generate({control:u,shallow:true}).then(function(A){return{ancestor:u,selector:A};}).catch(function(E){c.debug("Could not generate selector for ancestor "+u+". Error: "+E);return b._generateUniqueAncestorSelector(C,u.getParent(),i+1);});};b._generateUniqueSelectorInSubtree=function(C,v){return b._generate({control:C,validationRoot:v,shallow:true});};b._filterUnique=function(S,v,m){var e=[];var o=new a(v,m);if($.isArray(S)){S.forEach(function(f){if($.isArray(f)){f.forEach(function(g){if(o._validate(g)){e.push(g);}});}else if(o._validate(f)){e.push(f);}});}else if(o._validate(S)){e.push(S);}return e;};b._getOrderedGenerators=function(S){var o=["globalID","viewID","labelFor","bindingPath","properties","dropdownItem","tableRowItem","controlType"];if(S&&S.preferViewId){var e=o[0];o[0]=o[1];o[1]=e;}return o.map(function(n){return s[n];});};return b;});
